import dynamix_sdk.base as _base


class CloudapiImageChangeStoragePolicyResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiImageChangeStoragePolicyProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def change_storage_policy(
        self,
        *,
        image_id: int,
        storage_policy_id: int,
    ) -> CloudapiImageChangeStoragePolicyResultBool:
        ...
